##############################################################################
#
# Copyright (c) 2002 Zope Corporation and Contributors.
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#
##############################################################################
"""FieldedTextIndex Zope product

A ZCatalog plug-in-index for indexing textual data from multiple "fields"
of objects.

$Id: __init__.py,v 1.1.1.1 2003/12/08 06:25:01 caseman Exp $"""

import index

def initialize(context):

    context.registerClass(
        index.FieldedTextIndex,
        meta_type='FieldedTextIndex',
        permission='Add Pluggable Index',
        constructors=(index.addIndexForm,),
        icon='www/index.gif',
        visibility=None
    )
